[ 
https://issues.apache.org/jira/browse/CMIS-1057?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Andrei Rebegea resolved CMIS-1057.
----------------------------------
       Resolution: Resolved
    Fix Version/s: OpenCMIS 1.2.0

> Upgrade dependencies in CMIS 1.2 release
> ----------------------------------------
>
>                 Key: CMIS-1057
>                 URL: https://issues.apache.org/jira/browse/CMIS-1057
>             Project: Chemistry
>          Issue Type: Improvement
>            Reporter: Andrei Rebegea
>            Priority: Minor
>             Fix For: OpenCMIS 1.2.0
>
>
> Hello,
> I would like to suggest that in the newer release of CMIS 1.2 to have 
> upgraded dependencies.
> The main concern (for my work) is  "cxf-rt-frontend-jaxws"  dependency 
> (currently 3.0.12 
> https://mvnrepository.com/artifact/org.apache.chemistry.opencmis/chemistry-opencmis-client-impl/1.1.0
>  )
> This version brings in a very old asm lib: 3.3.1 
> https://mvnrepository.com/artifact/org.apache.cxf/cxf-rt-frontend-jaxws/3.0.12
> In our project, we also use Tika, and that requires asm 5.0.4 
> https://mvnrepository.com/artifact/org.apache.tika/tika-parsers/1.17
> Because of that we have to keep a 
> [patched|https://github.com/Alfresco/alfresco-tika/commit/530a9891a961e94bffff997afecd8d10ee4b74bd]
>  version of tika with big costs.
> I am assuming other projects that use CMIS would want to have newer versions 
> of the libraries (asm) in order to integrate with other projects more easily. 
> Thanks



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to